<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-action-instance-heading">Create or edit a Action Instance</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_next">Next</label>
                    <input type="text" class="form-control" name="next" id="field_next"
                           formControlName="next"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_type">Type</label>
                    <select class="form-control" name="type" formControlName="type" id="field_type">
                        <option value="START">START</option>
                        <option value="DONE">DONE</option>
                        <option value="REJECT">REJECT</option>
                        <option value="MOVE_TO">MOVE_TO</option>
                        <option value="SKIP">SKIP</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_caseStepInstance">Case Step Instance</label>
                    <select class="form-control" id="field_caseStepInstance" name="caseStepInstance" formControlName="caseStepInstance">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="caseStepInstanceOption.id === editForm.get('caseStepInstance')!.value?.id ? editForm.get('caseStepInstance')!.value : caseStepInstanceOption" *ngFor="let caseStepInstanceOption of casestepinstances; trackBy: trackById">{{ caseStepInstanceOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
